Обновление 2.1.1 - 2.2.0

Тема в разделе "Установка и обновление", создана пользователем Klaus, 23 мар 2016.

  1. Klaus

    Klaus Новичок

    Сообщения:
    2
    Симпатии:
    0
    заменить файлы на хостинге.
    запустить инсталл - апгрейднуть базу
    казалось бы чего проще...

    http://site.ru/install/index.php
    вот такой вот болт

    Notice: Error: Could not load template /sata1/home/users/site.ru/install/view/template/common/header! in /sata1/home/users/site.ru/system/storage/modification/system/engine/loader.php on line 86

    файл как бы есть, ЦШмод на 777 даже поменял - все равно болт
    ну и сам сайт тоже не пашит

    Fatal error: Call to undefined method Loader::library() in /sata1/home/users/site.ru/system/framework.php on line 77
     
  2. Vlad

    Vlad Эксперт

    Сообщения:
    4.130
    Симпатии:
    999
  3. Klaus

    Klaus Новичок

    Сообщения:
    2
    Симпатии:
    0
  4. Romans

    Romans Administrator Команда форума

    Сообщения:
    1.438
    Симпатии:
    781
    В архиве нет таких рекомендаций.
    При их выполнении все обновляется. Проверялось не раз.. на русской сборке.
     
  5. socseti-adm1n

    socseti-adm1n Новичок

    Сообщения:
    4
    Симпатии:
    0
    После обновления а странице товара вот такая ошибка Notice: Undefined index: image_product_option_value in ....vqmod/vqcache/vq2-catalog_model_catalog_product.php on line 349 Подскажите как решить, а то бьюсь уже третий час... заранее спасибо!
     
  6. Vlad

    Vlad Эксперт

    Сообщения:
    4.130
    Симпатии:
    999
    начните с того, что никакого вкумода в опенкарте верси 2, быть не должно!!
     
  7. socseti-adm1n

    socseti-adm1n Новичок

    Сообщения:
    4
    Симпатии:
    0
    Спасибо! а с этим подскажите?
    Fatal error: Can't use method return value in write context in ...i/catalog/controller/payment/w1.php on line 54
     
  8. Vlad

    Vlad Эксперт

    Сообщения:
    4.130
    Симпатии:
    999
    конечно. Обратитесь к автору модуля w1
     
  9. socseti-adm1n

    socseti-adm1n Новичок

    Сообщения:
    4
    Симпатии:
    0
    Добродушной души Вы ЧЕЛОВЕК, спасибо!
     
  10. Grok55

    Grok55 Новичок

    Сообщения:
    2
    Симпатии:
    0
    При обновлении появляется ошибка:
    Ошибка (0): Error: Unknown column 'code' in 'field list'
    Error No: 1054
    Error in: /home/m/mobismolru/furniture/public_html/install/model/upgrade/1002.php line 8
    INSERT INTO `setting` SET `key` = 'config_product_limit', `value` = '20', `code` = 'config', `store_id` = 0 в /home/m/mobismolru/furniture/public_html/system/library/db/mysql.php строка 54
    Что надо сделать?
     
  11. mars1an

    mars1an Специалист

    Сообщения:
    629
    Симпатии:
    516
    А вы что на что обновляете?
     
  12. Grok55

    Grok55 Новичок

    Сообщения:
    2
    Симпатии:
    0
    OCStore V1.5.4.1.2 на os-Store_2.1.0.2
     
  13. Ален

    Ален Эксперт

    Сообщения:
    2.056
    Симпатии:
    640
    за бесплатной помощью обратитесь к авторам сборки оксторе
    А так же вы можете обновить используя спец модули миграции, например http://shop.opencart-russia.ru/migrate-15х-to-2x
     
  14. spmaster

    spmaster Новичок

    Сообщения:
    1
    Симпатии:
    0
    Обновлял движок с 2.1 до 2.2.
    Подскажите как исправить ошибку:
    Notice: Undefined property: Proxy::getcategories_son in /domains/sait.ru/public_html/catalog/controller/module/so_basic_products.php on line 84
     
    Последнее редактирование: 17 июл 2016
  15. mars1an

    mars1an Специалист

    Сообщения:
    629
    Симпатии:
    516
    Обратиться к автору модуля SO Basic Products за обновлением под 2.2.0.0